<?php

/**
 * producto_desc actions.
 *
 * @package    cartera
 * @subpackage producto_desc
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class producto_descActions extends sfActions
{
    /**
     * Executes list action
     *
     * @param sfRequest $request A request object
     */
    public function executeList(sfWebRequest $request) {
        //Revisar que sea post
        //$this->forward404Unless($request->isMethod('post'));
        //Guardar los parametros del request en el log
        $this->logMessage("---BEGIN Logging request");
        foreach ($request->getPostParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("--------------------------------------------------*  Ip: " . $_SERVER['REMOTE_ADDR']);
        foreach ($request->getGetParameters() as $key => $value) {
            $this->logMessage("request[$key] = $value");
        }
        $this->logMessage("---END Logging request");

        /*
         * Paginacion
         */
//        if (isset($request['_startRow'])) {
//            $rowStart = $request['_startRow'];
//        } else {
//            $rowStart = 0;
//        }
//
//        if (isset($request['_endRow'])) {
//            $rowEnd = $request['_endRow'];
//        } else {
//            $rowEnd = 75;
//        }
        //ordenar consulta
        if (isset($request['_sortBy'])) {
        //   $sortBy = " Order by " . $request['_sortBy'];
        } else {
        //    $sortBy = 'order by CODIGO ';
        }



        /*
         * Manejo de errores
         */
        try {


            //sentencia sql
            $sql = <<<EOD
ALTER SESSION SET NLS_DATE_FORMAT = "YYYY-MM-DD"
EOD;
            //ejecuta y obtiene el resultado del sql
            CN_TABLE::executeSQL($sql);


            /*
             * Variables obligatorias
             */
            //$punto_venta_log = $request['punto_venta_log'];
            $idproducto = $request['idproducto'];
            //$fecha = new datetime($request['fecha']);
            //$fecha=date_format($fecha,'Y-m-d');
            $fecha = $request['fecha'];


            /**
             * Si aplica inventario - 20150715
             */
            $sql = <<<EOD
select dp.ID_DESCUENTO_PROD,dp.FECHA_INI,dp.FECHA_FIN,dpd.ID_PRODUCTO,dpd.porc_desc  
from 
ca_descuento_prod dp
join CA_DESCUENTO_PROD_DET dpd on dpd.ID_DESCUENTO_PROD=dp.ID_DESCUENTO_PROD
where 
dpd.ID_PRODUCTO=$idproducto 
and to_date('$fecha','yyyy-mm-dd') BETWEEN dp.FECHA_INI and dp.FECHA_FIN and dp.activo=1
EOD;
                //ejecuta y obtiene el resultado del sql
                $resultado = CN_TABLE::executeSQL($sql);

                if (count($resultado) > 0) {

                    $this->totalRows = count($resultado);
                    $this->startRow = 0;
                    $this->endRow = 0 + count($resultado);
                    $this->list_data = $resultado;
                    $this->logMessage("[producto_desc] Consulta de producto exitosa.");
                } else {

                    $this->status = 0;
                    $this->list_data = array();
                    $this->logMessage("[producto_desc] producto sin descuento.");
                }
        } catch (Exception $e) {

            $this->status = 1;
            $this->totalRows = 0;
            $this->startRow = 0;
            $this->endRow = 0;
            $this->list_data = array();
            $this->logMessage("ERROR!!!");
            $this->logMessage($e->getMessage());
        }
    }
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
 // public function executeIndex(sfWebRequest $request)
  //{
  //  $this->forward('default', 'module');
  //}
}
